Package com.apple.foundationdb.directory

## Class MismatchedLayerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.apple.foundationdb.directory.DirectoryException
        - - com.apple.foundationdb.directory.MismatchedLayerException

All Implemented Interfaces:
  `java.io.Serializable`

    public class MismatchedLayerException
    extends DirectoryException

A `DirectoryException` that is thrown when a directory is opened with an incompatible layer.

See Also:
  Serialized Form

### Field Summary

Fields
`byte[]` `opened` The layer byte string that the directory was opened with.
`byte[]` `stored` The layer byte string that the directory was created with.

### Fields inherited from class com.apple.foundationdb.directory.DirectoryException

`path`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### stored

    public final byte[] stored

The layer byte string that the directory was created with.

#### opened

    public final byte[] opened

The layer byte string that the directory was opened with.